library equations;

export 'src/utils/complex/complex.dart';
export 'src/utils/complex/polar_complex.dart';

export 'src/algebraic/algebraic.dart';
export 'src/algebraic/types/constant.dart';
export 'src/algebraic/types/cubic.dart';
export 'src/algebraic/types/quadratic.dart';
export 'src/algebraic/types/quartic.dart';
export 'src/algebraic/types/linear.dart';
export 'src/algebraic/types/laguerre.dart';
export 'src/algebraic/utils/horner_results.dart';

export 'src/nonlinear/nonlinear.dart';
export 'src/nonlinear/types/bisection.dart';
export 'src/nonlinear/types/brent.dart';
export 'src/nonlinear/types/chords.dart';
export 'src/nonlinear/types/newton.dart';
export 'src/nonlinear/types/secant.dart';
export 'src/nonlinear/types/steffensen.dart';
export 'src/nonlinear/utils/results.dart';

export 'src/utils/exceptions/exceptions.dart';
export 'src/utils/exceptions/types/complex_exception.dart';
export 'src/utils/exceptions/types/algebraic_exception.dart';
export 'src/utils/exceptions/types/nonlinear_exception.dart';
export 'src/utils/exceptions/types/parser_exception.dart';
export 'src/utils/expression_parser.dart';

export 'src/utils/expression_parser.dart';

export 'package:fraction/fraction.dart';
